#include <Preferences.h>
#include "prefs.h"


namespace config {


static bool		isLoaded = false;
static Preferences	preferences;


static void
checkReady()
{
	if (isLoaded) {
		return;
	}

	preferences.begin("kimodem", false);
	isLoaded = true;
}


size_t
LastSSID(char *ssid, size_t ssidlen)
{
	checkReady();
	return preferences.getString("SSID", ssid, ssidlen);
}


void
SetLastSSID(const char *ssid)
{
	checkReady();
	preferences.putString("SSID", ssid);
}


bool
StartTryConnecting()
{
	checkReady();
	return preferences.getBool("STC", true);
}


void
SetStartTryConnecting(bool opt)
{
	checkReady();
	preferences.putBool("STC", opt);
}


void
FactoryDefaults()
{
	preferences.clear();
}



}
